Opened 11 years ago

Closed 11 years ago

Last modified 10 years ago

#6439 closed defect (invalid)

Apache won't start after MythWeb install

Reported by: Matt Emmott <memmott@…> Owned by: Isaac Richards
Priority: minor Milestone: unknown
Component: MythTV - General Version: unknown
Severity: medium Keywords: mythweb
Cc: Ticket locked: no

Description

I'm running the latest Mythbuntu weekly build. Versions are:

matt@magic:/etc/apache2/conf.d$ mythbackend --version Please include all output in bug reports. MythTV Version : Unknown MythTV Branch : trunk Library API : 0.22.20090312-1 Network Protocol : 44 QT Version : 4.4.3 Options compiled in:

linux profile using_oss using_alsa using_jack using_backend using_dvb using_firewire using_frontend using_glx_proc_addr_arb using_hdhomerun using_hdpvr using_iptv using_ivtv using_joystick_menu using_libfftw3 using_lirc using_mheg using_opengl_video using_opengl_vsync using_qtwebkit using_v4l using_x11 using_xrandr using_xv using_xvmc using_xvmc_vld using_xvmcw using_bindings_perl using_bindings_python using_opengl using_vdpau using_ffmpeg_threads using_libavc_5_3 using_live using_mheg

Kernel: 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

Distro: Ubuntu 8.10

I have Mythbuntu's weekly build repos enabled and have attempted to install Mythweb. It installed Mythweb as well as some PHP pieces but can't start Apache. Here's the output:

============================== Setting up apache2-mpm-prefork (2.2.9-7ubuntu3) ...

  • Starting web server apache2

Syntax error on line 107 of /etc/apache2/conf.d/mythweb.conf.apache: Invalid command 'php_value', perhaps misspelled or defined by a module not included in the server configuration

[fail]

invoke-rc.d: initscript apache2, action "start" failed.

Setting up libapache2-mod-php5 (5.2.6-2ubuntu4.1) ...

Setting up php5 (5.2.6-2ubuntu4.1) ... Setting up php5-mysql (5.2.6-2ubuntu4.1) ...

Setting up mythweb (0.21.0+trunk20300-0ubuntu0+mythbuntu1) ... Your apache2 configuration is broken, so we're not restarting it for you. ===========================

I had thought that perhaps it was starting in the wrong order, as it looks like it installed php5 after installing & trying to start MythWeb, but attempting to start Apache after the fact gives the same error. Here are the relevant lines in /etc/apache2/conf.d/mythweb.conf.apache:

<Files *.php>

# These settings are intended for apache 2.x. If your version of apach

e

# doesn't support php_value, or things like memory_limit aren't working # as expected, then use these settings as examples for your own php.ini # files.

php_value safe_mode 0 php_value register_globals 0 php_value magic_quotes_gpc 0 php_value file_uploads 0 php_value allow_url_fopen On

php_value zlib.output_handler Off php_value output_handler NULL

# If you have a large number of channels, you may need to increase this # value to prevent PHP from running out of memory.

php_value memory_limit 64M

# Note: php_flag does not work in older versions of php

php_flag output_handler "NULL"

</Files>

Change History (3)

comment:1 Changed 11 years ago by robert.mcnamara@…

This is a problem for your packager. Mythweb + apache working fine here.

comment:2 Changed 11 years ago by danielk

Resolution: invalid
Status: newclosed

Not a mythtv bug. (see https://launchpad.net/ubuntu)

comment:3 Changed 10 years ago by stuartm

Milestone: 0.22unknown
Note: See TracTickets for help on using tickets.